package hu.optxware.emf2viatra.core.eresource;

import hu.optxware.emf2viatra.core.listener.ViatraListener;

import org.eclipse.emf.ecore.resource.Resource;

/**
 * This interface represents a ViatraResource, that is used to define a resource
 * represented in the VIATRA framework
 */
public interface ViatraResource extends Resource {

	/**
	 * Returns with the {@link ViatraListener}.
	 */
	ViatraListener getViatraListener();
}
