package hu.optxware.emf2viatra.utils;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EStructuralFeature;

public class NameUtility {

	public static String getNameOfEObject(EObject obj) {
		String name = null;
		// TODO : Itt lehetne kezelni, ha obj EClass.
		EClass eClass = obj.eClass();
		EStructuralFeature nameFeature = eClass.getEStructuralFeature("name");
		if (nameFeature != null && obj.eGet(nameFeature) instanceof String) {
			name = (String) obj.eGet(nameFeature);
		}

		return name;
	}

	public static String convertToValidViatraName(String name) {
		if (name == null) {
			return "<null>";
		}
		return name.replaceAll("[^a-zA-Z0-9]", "");
	}
}
