/*******************************************************************************
 * Copyright (c) 2004-2008 Andras Schmidt, Andras Balogh, Istvan Rath and Daniel Varro
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Andras Schmidt, Andras Balogh, Istvan Rath - initial API and implementation
 *******************************************************************************/

package org.eclipse.viatra2.core.simple;

import org.eclipse.viatra2.logger.Logger;

/**
 * @author Andras Schmidt
 * 
 *         Window - Preferences - Java - Code Style - Code Templates
 */
public class IDProvider {
	Logger logger;

	long IDCounter = 0;

	IDProvider(Logger l) {
		logger = l;
	}

	public long newID() {
		return IDCounter++;
	}
}
