/*******************************************************************************
 * Copyright (c) 2004-2008 Istvan Rath and Daniel Varro
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Istvan Rath - initial API and implementation
 *******************************************************************************/

 package org.eclipse.viatra2.editor.text.light.menu;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.action.IMenuListener;
import org.eclipse.jface.action.IMenuManager;

public class TextualEditorMenuListener implements IMenuListener {

	public void menuAboutToShow(IMenuManager manager) {
		manager.add(new Action() {
			
			@Override
			public String getText() {
				return "action1";
			}
			
			@Override
			public void run() {
				System.out.println("Hello action");
			}
		});
		
	}

}
