/*******************************************************************************
 * Copyright (c) 2004-2010, Andras Schmidt, Andras Balogh, Istvan Rath and Daniel Varro
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *   Istvan Rath - initial API and implementation
 *******************************************************************************/

package org.eclipse.viatra2.framework;

/**
 * Provides a generic interface for creating a new framework service factory.
 * All implementors should    
 * @author Istvan Rath
 *
 */
public interface IFrameworkServiceFactory {
	/**
	 * 
	 * @return
	 */
	IFrameworkService create();
}
