/*******************************************************************************
 * Copyright (c) 2004-2008 Andras Schmidt, Andras Balogh, Istvan Rath and Daniel Varro
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Andras Schmidt, Andras Balogh, Istvan Rath - initial API and implementation
 *******************************************************************************/

package org.eclipse.viatra2.framework.properties;

/**
 * Lightweight marker interface for simple notification mechanism for the
 * property provider collection.
 * 
 * This interface is only intended to be used by the Frameworks GUI.
 * 
 * @author Istvan Rath
 * 
 */
public interface IViatraPropertyProvidersChangedListener {

	/**
	 * Signals that the property provider collection has changed.
	 * 
	 */
	public void propertyProvidersChanged();

}
