/*******************************************************************************
 * Copyright (c) 2004-2008 Akos Horvath, Gergely Varro and Daniel Varro
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Akos Horvath, Gergely Varro - initial API and implementation
 *******************************************************************************/

 package org.eclipse.viatra2.gtasm.patternmatcher.impl.gtmatcher.exceptions;

import org.eclipse.viatra2.gtasmmodel.gtasm.metamodel.asm.core.AnnotatedElement;
import org.eclipse.viatra2.gtasmmodel.gtasm.metamodel.asm.core.GTASMElement;

/**
 * The specific exception of for the building of a GT Rule matcher
 * @author Akos Horvath
 *
 */
public class GTRuleBuildingException extends GraphTransformationException {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 5766827372883906119L;
	
	public GTRuleBuildingException(String string,String[] context, AnnotatedElement node) {
		super(string, context, node);
	}

}
