/*******************************************************************************
 * Copyright (c) 2004-2008 Akos Horvath, Gergely Varro and Daniel Varro
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Akos Horvath, Gergely Varro - initial API and implementation
 *******************************************************************************/

 package org.eclipse.viatra2.gtasm.patternmatcher.impl.patternmatcher.internal;

/**
 * The enumeration of the possible type of edges. These 
 * edge types are used in the search graph and search plans.
 */
public enum EdgeType {
	SUPERTYPEOF,
	INSTANCEOF,
	IN,
    BELOW,
	SOURCE,
	TARGET,
    NACCHECK,
    PATTERN_CALL_PARAMETER,
    PATTERN_CALL_STORAGE,
    VARIABLE_ASSIGNMENT,
}
