/*******************************************************************************
 * Copyright (c) 2004-2008 Akos Horvath, Gergely Varro and Daniel Varro
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Akos Horvath, Gergely Varro - initial API and implementation
 *******************************************************************************/

 package org.eclipse.viatra2.gtasm.patternmatcher.impl.patternmatcher.internal.algorithms;

import org.eclipse.viatra2.core.IModelManager;

/**Extension point to be able to use alternate search graphs with the algorithm
 * @author Akos Horvath
 *
 */
public interface ISearchGraphProvider {
	
	public ISearchGraph getSearchGraph(IModelManager manager);

}
