/*******************************************************************************
 * Copyright (c) 2004-2008 Akos Horvath, Gergely Varro and Daniel Varro
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Akos Horvath, Gergely Varro - initial API and implementation
 *******************************************************************************/

 package org.eclipse.viatra2.gtasm.patternmatcher.impl.patternmatcher.internal.rgg;

import java.util.Queue;

import org.eclipse.viatra2.gtasm.patternmatcher.exceptions.PatternMatcherRuntimeException;
import org.eclipse.viatra2.gtasm.patternmatcher.impl.patternmatcher.internal.MatchingFrame;


public interface IQueueContentProvider {
	/*
	public void initalizeSingleTraversal(Queue<MatchingFrame> queue, MatchingFrame template);
	public MatchingFrame traverse() throws PatternMatcherRuntimeException;
	*/
	public void traverseAll(Queue<MatchingFrame> queue, MatchingFrame template)
		throws PatternMatcherRuntimeException;
	public void synchronize();
	public void init();
}
