/*******************************************************************************
 * Copyright (c) 2004-2008 Andras Okros, Istvan Rath and Daniel Varro
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Andras Okros - initial API and implementation
 *******************************************************************************/

 package org.eclipse.viatra2.gtasm.trigger.engine;

/**
 * A listener interface for trigger set changes.
 * Whenever a trigger is loaded or dropped, listeners will be notified. 
 * @author Andr�s �kr�s
 */
public interface ITriggerSetChangedListener {

	public void triggerAdded(Object trigger);
	public void triggerRemoved(Object trigger);
	public void triggerRefreshed(Object trigger);
	
}
