/*******************************************************************************
 * Copyright (c) 2004-2008 Andras Schmidt, Andras Balogh, Istvan Rath and Daniel Varro
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Andras Schmidt, Andras Balogh, Istvan Rath - initial API and implementation
 *******************************************************************************/

package org.eclipse.viatra2.interpreters.debugInterface;

/**
 * @author Andras Schmidt
 * 
 */
public interface RunningProcessListener {
	/**
	 * Called when process starts either from init or from stopped state.
	 * 
	 * @param p
	 */
	public void processStarts(RunningProcess p);

	/**
	 * Called when process stops eiter to stopped or to ready state.
	 * 
	 * @param p
	 */
	public void processStops(RunningProcess p);
}
