/*******************************************************************************
 * Copyright (c) 2004-2008 Andras Schmidt, Andras Balogh, Istvan Rath and Daniel Varro
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Andras Schmidt, Andras Balogh, Istvan Rath - initial API and implementation
 *******************************************************************************/

package org.eclipse.viatra2.modelChecker;

import org.eclipse.viatra2.core.IModelElement;

public interface IProblemListener {
	/**
	 * The problems of the given model element havve changed.
	 * 
	 * @param me
	 */
	public void problemsChanged(IModelElement me);

	/**
	 * The probelms of te whole model have changed. (A full check was done)
	 * 
	 */
	public void problemsChanged();
}
