package org.eclipse.viatra2.natives.strings.impl;

import org.eclipse.viatra2.core.IModelSpace;
import org.eclipse.viatra2.errors.VPMRuntimeException;
import org.eclipse.viatra2.natives.ASMNativeFunction;



public class CompareTo implements ASMNativeFunction {

	public Object evaluate(IModelSpace msp, Object[] params)
			throws VPMRuntimeException {
		if (params!=null && (params.length==2))
		{
			return params[0].toString().compareTo(params[1].toString());
		}
		return null;
	}

	public String getName() {

		return "str.compareTo";
	}

	public String getID() {
		return "str.compareTo";	
	}

	public String getDescription() {
		return "str.compareTo";
	}

}
