package org.eclipse.viatra2.natives.strings.impl;

import org.eclipse.viatra2.core.IModelSpace;
import org.eclipse.viatra2.errors.VPMRuntimeException;
import org.eclipse.viatra2.natives.ASMNativeFunction;

public class Matches implements ASMNativeFunction {


	public Object evaluate(IModelSpace msp, Object[] params)
			throws VPMRuntimeException {
		if (params!=null && (params.length==2))
		{
			return params[0].toString().matches(params[1].toString());
		}
		return null;
	}

	public String getName() {

		return "str.matches";
	}

	public String getID() {
		return "str.matches";	
	}

	public String getDescription() {
		return "str.matches";
	}

}
