package org.eclipse.viatra2.natives.strings.impl;

import org.eclipse.viatra2.core.IModelSpace;
import org.eclipse.viatra2.errors.VPMRuntimeException;
import org.eclipse.viatra2.natives.ASMNativeFunction;

public class StartsWith implements ASMNativeFunction {

	public Object evaluate(IModelSpace msp, Object[] params)
			throws VPMRuntimeException {
		if (params!=null && (params.length>=2) && (params.length<=3))
		{
			int off = 0;
			if (params.length==3)
			{
				if (params[2] instanceof Integer) off = (Integer)params[2];
				else return false;
			}
			if (off==0) return params[0].toString().startsWith(params[1].toString());
			else return params[0].toString().startsWith(params[1].toString(),off);
		}
		return false;
	}

	public String getName() {
		
		return "str.startsWith";
	}

	public String getID() {
		return "str.startsWith";	}

	public String getDescription() {
		return "str.startsWith";	}

}
