package org.eclipse.viatra2.natives.strings.impl;

import org.eclipse.viatra2.core.IModelSpace;
import org.eclipse.viatra2.errors.VPMRuntimeException;
import org.eclipse.viatra2.natives.ASMNativeFunction;

public class Trim implements ASMNativeFunction {
	public Object evaluate(IModelSpace msp, Object[] params) throws VPMRuntimeException {
		if (params!=null && (params.length==1))
		{
			return params[0].toString().trim();
		}
		return null;
	}

	public String getDescription() {
		return "str.trim";
	}

	public String getID() {
		return "str.trim";
	}

	public String getName() {
		return "str.trim";
	}}
