/*******************************************************************************
 * Copyright (c) 2009 Zoltan Ujhelyi and Daniel Varro.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Zoltan Ujhelyi - initial API and implementation
 *******************************************************************************/
package org.eclipse.viatra2.visualisation.layouts.algorithms;

import org.eclipse.viatra2.visualisation.layouts.AbstractViatraLayoutAlgorithm;
import org.eclipse.zest.layouts.LayoutAlgorithm;
import org.eclipse.zest.layouts.algorithms.SpringLayoutAlgorithm;

/**
 * @author Zoltan Ujhelyi
 *
 */
public class SpringLayout extends AbstractViatraLayoutAlgorithm{

	public LayoutAlgorithm getAlgorithm() {
		SpringLayoutAlgorithm springAlgorithm = new SpringLayoutAlgorithm(layoutStyle);
		springAlgorithm.setRandom(true);
		return springAlgorithm;
	}

}
