/*******************************************************************************
 * Copyright (c) 2009 Zoltan Ujhelyi and Daniel Varro.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Zoltan Ujhelyi - initial API and implementation
 *******************************************************************************/
package org.eclipse.viatra2.visualisation.patterns.viewmodel;

/**
 * An enumeration showing the possible types of patterns.
 * @author Zoltan Ujhelyi
 *
 */
public enum PatternTypes {
	/**
	 * Represents a called pattern 
	 */
	CALLEDPATTERN,
	/**
	 * Represents a called negative pattern 
	 */
	NEGATIVEPATTERN,
	/**
	 * Represents a local pattern type
	 */
	LOCALPATTERN
}
