/*******************************************************************************
 * Copyright (c) 2004-2008 Istvan Rath and Daniel Varro
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Istvan Rath - initial API and implementation
 *******************************************************************************/

 package org.eclipse.viatra2.frameworkgui.content;

import org.eclipse.viatra2.frameworkgui.views.FrameworkTreeView;
import org.eclipse.viatra2.framework.IFramework;


public interface IFrameworkContentProviderExtension 
{

	public void init(FrameworkTreeView fv, IFramework fw, FrameworkContainer c);
	
	public ITreeObject getTopLevelEntry();
	
	public void dispose();
	
}
