/*******************************************************************************
 * Copyright (c) 2004-2008 Istvan Rath and Daniel Varro
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Istvan Rath - initial API and implementation
 *******************************************************************************/

 package org.eclipse.viatra2.frameworkgui.wizards.ui;

import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.ui.dialogs.WizardNewFileCreationPage;

public class VIATRANewFileCreationPage extends WizardNewFileCreationPage 
{
	public VIATRANewFileCreationPage(String aKind, IStructuredSelection selection) 
	{
		super("This wizard creates a new "+aKind.toUpperCase()+" file.", selection);
		setMessage("Enter the name of the new "+aKind.toUpperCase()+" file.");
		setFileName("example."+aKind.toLowerCase());
	}
}
