/*******************************************************************************
 * Copyright (c) 2004-2008 Akos Horvath, Gergely Varro and Daniel Varro
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Akos Horvath, Gergely Varro - initial API and implementation
 *******************************************************************************/

 package org.eclipse.viatra2.gtasm.patternmatcher.impl.gtmatcher.core;

import org.eclipse.viatra2.gtasm.patternmatcher.patterns.IGTRuleMatcher;
import org.eclipse.viatra2.gtasmmodel.gtasm.metamodel.gt.GTRule;
import java.util.Hashtable;



/**
 * @author Akos Horvath
 *
 */
public class GTRuleMatchers extends Hashtable<GTRule, IGTRuleMatcher> {
	
	/**
	 * Stores the gt rule matchers previously created
	 * 
	 * @author Akos Horvath
	 */
	private static final long serialVersionUID = 2L;
	private static GTRuleMatchers  _instance=new GTRuleMatchers();
	public static GTRuleMatchers  getInstance()
	{
		return _instance;
	}
	
	public GTRuleMatchers() {
		super();
	}

}
