/**
* Copyright (c) 2007 OptXware Research and Development LLC.
* All rights reserved.   This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*   Daniel Varro - Initial API and implementation
*/

package org.eclipse.viatra2.lpgparser.modelbuilder;

public interface IAnnotationKeys 
{
	public static final String NODE_INFORMATION = "node_info";
	public static final String ASMFUN_REFERENCE = "asmfun_ref";
	public static final String ASMRULE_REFERENCE = "asmrule_ref";
	public static final String VARIABLE_REFERENCE = "var_ref";
	public static final String PATTERN_REFERENCE = "pattern_ref";
	public static final String GTRULE_REFERENCE = "gtrule_ref";
}
