/*******************************************************************************
 * Copyright (c) 2004-2008 Andras Balogh and Daniel Varro
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Andras Balogh - initial API and implementation
 *******************************************************************************/

 package org.eclipse.viatra2.imports.vtml;

import org.eclipse.viatra2.errors.VPMCoreException;

public class FinalTypeDefinition extends RelationshipDefinition {

	
	boolean isFinal = true; 
	public FinalTypeDefinition(int l, String n, String m, boolean is)
	{
		super(l,n,m,null);
		isFinal = is;
	}
	@Override
	public void resolveReferences(ASTBuilder ab) throws VPMCoreException {
		
		ab.mm.setIsFinalType(_mstr.getElement(),isFinal);

	}

}
