/*******************************************************************************
 * Copyright (c) 2004-2008 Andras Schmidt, Andras Balogh, Istvan Rath and Daniel Varro
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Andras Schmidt, Andras Balogh, Istvan Rath - initial API and implementation
 *******************************************************************************/

package org.eclipse.viatra2.core;

/**
 * An enumeration describing the multiplicty attributes of an IRelation.
 * 
 * @author Istvan Rath Note: DO NOT, repeat, DO NOT change the order of enumeration
 *         constants in this file.
 */
public enum EMultiplicityKind {

	MANY_TO_MANY, MANY_TO_ONE, ONE_TO_MANY, ONE_TO_ONE

}
