/*******************************************************************************
 * Copyright (c) 2004-2008 Andras Schmidt, Andras Balogh, Istvan Rath and Daniel Varro
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Andras Schmidt, Andras Balogh, Istvan Rath - initial API and implementation
 *******************************************************************************/

package org.eclipse.viatra2.core.simple.notification;

import org.eclipse.viatra2.core.IEntity;
import org.eclipse.viatra2.core.notification.ICoreNotificationObject;
import org.eclipse.viatra2.core.notification.ICoreNotificationObjectSetValue;

/**
 * @author Andras Schmidt
 * 
 *         TODO To change the template for this generated type comment go to
 *         Window - Preferences - Java - Code Style - Code Templates
 */
public class NotificationObjectSetValue extends NotificationObject implements
		ICoreNotificationObjectSetValue {
	String newValue;

	String oldValue;

	IEntity me;

	public NotificationObjectSetValue(IEntity me, String newValue,
			String oldValue) {
		this.me = me;
		this.newValue = newValue;
		this.oldValue = oldValue;
		addListener(me);
	}

	public String getActionType() {
		return ICoreNotificationObject.ACTION_SET_VALUE;
	}

	public String getNewValue() {
		return newValue;
	}

	public String getOldValue() {
		return oldValue;
	}

	public IEntity getEntity() {
		return me;
	}
}
