/*******************************************************************************
 * Copyright (c) 2004-2008 Andras Schmidt, Andras Balogh, Istvan Rath and Daniel Varro
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Andras Schmidt, Andras Balogh, Istvan Rath - initial API and implementation
 *******************************************************************************/

package org.eclipse.viatra2.errors;

/**
 * VPM core throws this exception if a corrupt model is to be built by VPM model
 * manager calls.
 * 
 * @author Andras Balogh
 * 
 */
public class VPMCoreException extends VPMException {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public VPMCoreException(String msg) {
		super(msg);
	}

}
