/*******************************************************************************
 * Copyright (c) 2004-2008 Akos Horvath, Gergely Varro and Daniel Varro
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Akos Horvath, Gergely Varro - initial API and implementation
 *******************************************************************************/

package org.eclipse.viatra2.gtasm.patternmatcher.impl.gtmatcher.exceptions;

import org.eclipse.viatra2.gtasm.interpreter.exception.GTASMException;
import org.eclipse.viatra2.gtasmmodel.gtasm.metamodel.asm.core.AnnotatedElement;
import org.eclipse.viatra2.gtasmmodel.gtasm.metamodel.asm.core.GTASMElement;


public class GraphTransformationException extends GTASMException {
	/**
	 * 
	 */
	private static final long serialVersionUID = -9216398057977736617L;

/*	public GraphTransformationException(String msg) {
		super(msg);
	}*/

	public GraphTransformationException(String msg, String[] context, AnnotatedElement element) {
		super(msg,context);
		addNewStackElement(element);
	}
}
