/*******************************************************************************
 * Copyright (c) 2004-2008 Akos Horvath, Gergely Varro and Daniel Varro
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Akos Horvath, Gergely Varro - initial API and implementation
 *******************************************************************************/

 package org.eclipse.viatra2.gtasm.patternmatcher.impl.patternmatcher.internal.operation;

import org.eclipse.viatra2.gtasm.patternmatcher.exceptions.PatternMatcherRuntimeException;
import org.eclipse.viatra2.gtasm.patternmatcher.impl.patternmatcher.internal.MatchingFrame;
import org.eclipse.viatra2.gtasmmodel.gtasm.metamodel.asm.core.AnnotatedElement;


public class DummyOperation extends SearchPlanOperation {

	@Override
	public boolean execute(MatchingFrame frame) throws PatternMatcherRuntimeException {
		return false;
	}

	@Override
	public void postprocess(MatchingFrame frame) throws PatternMatcherRuntimeException {
		return;
	}

	@Override
	public void preprocess(MatchingFrame frame) throws PatternMatcherRuntimeException {
		return;
	}

	public AnnotatedElement getErrorfulElement(MatchingFrame frame) {
		return null;
	}
	
	public String toString(MatchingFrame frame) {
		return "Dummy operation";
	}

}
