/*******************************************************************************
 * Copyright (c) 2004-2009 Akos Horvath and Daniel Varro
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Akos Horvath - initial API and implementation
 *******************************************************************************/


/**
 * 
 */
package org.eclipse.viatra2.gtasm.patternmatcher.impl.patternmatcher.internal.searchgraph.traceability;

import org.eclipse.viatra2.gtasm.patternmatcher.impl.patternmatcher.internal.searchgraph.SearchGraphEdge;
import org.eclipse.viatra2.gtasmmodel.gtasm.metamodel.asm.core.AnnotatedElement;


/**
 * @author Akos Horvath
 *
 */
public class EdgeTraceabilityElement extends AbstractTraceabilityElement<SearchGraphEdge> {
	
	SearchGraphEdge searchGraphEdge;
	
	public EdgeTraceabilityElement(SearchGraphEdge edge, AnnotatedElement element){
		super(element);
		searchGraphEdge = edge;
		searchGraphEdge.setTraceabilityElement(this);
	}
	
	public SearchGraphEdge getVPMElement() {
		return searchGraphEdge;
	}

}
