package org.eclipse.viatra2.natives.strings.impl;

import org.eclipse.viatra2.core.IModelSpace;
import org.eclipse.viatra2.errors.VPMRuntimeException;
import org.eclipse.viatra2.natives.ASMNativeFunction;

public class ReplaceFirst implements ASMNativeFunction {
	public Object evaluate(IModelSpace msp, Object[] params)
	throws VPMRuntimeException {
if ((params!=null) && params.length==3)
{
	return params[0].toString().replaceFirst(params[1].toString(),params[2].toString());
}
return null;
}

public String getName() {

return "str.replaceFirst";
}

public String getID() {

return "strings.replaceFirst";
}

public String getDescription() {

return "Replaces first occurance of the 2nd parameter to the 3rd in the 1st string";
}

}
