/*******************************************************************************
 * Copyright (c) 2004-2008 Istvan Rath and Daniel Varro
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Istvan Rath - initial API and implementation
 *******************************************************************************/

 package org.eclipse.viatra2.treeeditor.properties.validators;

import org.eclipse.jface.viewers.ICellEditorValidator;
import org.eclipse.viatra2.core.IModelElement;

public abstract class VPMValidator implements ICellEditorValidator {

	protected IModelElement iElement;
	
	public VPMValidator(IModelElement e)
	{
		iElement = e;
	}
	
	public abstract String isValid(Object value);

}
