/*******************************************************************************
 * Copyright (c) 2004-2008 Istvan Rath and Daniel Varro
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Istvan Rath - initial API and implementation
 *******************************************************************************/

 package org.eclipse.viatra2.treeeditor.wizard;

/**
 * Describes a New Modelspace Wizard category contribution.
 * @author Istv�n R�th
 */
public interface IWizardCategoryContributor {

	/**
	 * The unique category contribution ID.
	 */
	public String getID();
	
	/**
	 * The name of this category contribution.
	 */
	public String getName();
	
	/**
	 * The Plugin ID of the contributing plugin.
	 */
	public String getPluginID();
	
}
