/*******************************************************************************
 * Copyright (c) 2009 Zoltan Ujhelyi and Daniel Varro.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Zoltan Ujhelyi - initial API and implementation
 *******************************************************************************/
package org.eclipse.viatra2.visualisation.color;

import java.util.Collection;

import org.eclipse.viatra2.core.IEntity;
import org.eclipse.viatra2.core.IModelElement;

/**
 * This class represents a dummy element for the live preview in the color preferences
 * @author Zoltan Ujhelyi
 *
 */
class PreviewEntity extends PreviewModelElement implements IEntity {
	
	/**
	 * Initializes a preview entity
	 * @param name
	 */
	public PreviewEntity(String name) {
		super(name);
	}

	public Collection<IModelElement> getAllComponents() {
		return null;
	}

	public IModelElement getContentByName(String n) {
		return null;
	}

	public IModelElement getContentByType(IModelElement n) {
		return null;
	}

	public Collection<IModelElement> getContents() {
		return null;
	}

	public IEntity getParent() {
		return null;
	}

	public String getValue() {
		return null;
	}

}
