/*******************************************************************************
 * Copyright (c) 2009 Zoltan Ujhelyi and Daniel Varro.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Zoltan Ujhelyi - initial API and implementation
 *******************************************************************************/
package org.eclipse.viatra2.visualisation.modelspace.actions;

/**
 * The interface defines a method to set a parameter in a Filter object.
 * @author Zoltan Ujhelyi
 *
 */
public interface IFilterManipulator {
	
	/**
	 * Sets the related boolean property in the filter
	 * @param newValue
	 */
	public void setFilterProperty(boolean newValue);
}
