/*******************************************************************************
 * Copyright (c) 2004-2008 Istvan Rath and Daniel Varro
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Istvan Rath - initial API and implementation
 *******************************************************************************/

 package org.eclipse.viatra2.editor.text.light;

import org.eclipse.jface.text.rules.Token;

public class VTEColorToken 
{
	public Token COMMENT = null;
	public Token KEYWORD = null;					
	public Token STRING = null; 
	public Token OTHER = null;
	
	public VTEColorToken()
	{
		
	}
	
	public Token[] getTokens() 
	{
		return new Token[] { // keep in same order as IPreferenceStoreConstants.preferences
			COMMENT,
			KEYWORD,			
			STRING,
			OTHER
		};
	}

}
