/*******************************************************************************
 * Copyright (c) 2008-2010, Istvan Rath and Daniel Varro
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *   Istvan Rath - initial API and implementation
 *******************************************************************************/

package org.eclipse.viatra2.frameworkgui.views.console.commands;

import java.util.List;

import org.eclipse.viatra2.framework.IFramework;

/**
 * 
 * Console command provider factory.
 * @author istvan rath
 *
 */
public interface IVIATRAConsoleCommandProviderFactory {

	
	public List<IVIATRAConsoleCommandProvider> getProviders(IFramework fw);
	
}
